import 'package:anchor_collect_flutter/pages/main/main_state.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class MainLogic extends GetxController {
  final MainState state = MainState();

  MainLogic() {
    state.isNewMessage.value = false;
  }

  void setPageIndex(int index) {
    state.currentIndex.value = index;
    update();
  }

  void setMessageStatus(bool isNew){
    state.isNewMessage.value = isNew;
  }
}
